de.vc.util

## Class StringPattern

- java.lang.Object
- - de.vc.util.StringPattern

-     public class StringPattern
      extends java.lang.Object

  The StringPattern describes a pattern for a string using wildcard * and ?.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `StringPattern(java.lang.String pattern)` Create a new string pattern.
    `StringPattern(java.lang.String pattern, boolean caseSensitive)` Create a new string pattern.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `isMatching(java.lang.String str)` Tests, if the given string matches to this pattern.
    `protected boolean` | `isMatching(java.lang.String wordPart, java.lang.String patternPart)`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### StringPattern

          public StringPattern(java.lang.String pattern)

      Create a new string pattern.
      Parameters:
        `pattern` - Pattern.

    - #### StringPattern

          public StringPattern(java.lang.String pattern,
                       boolean caseSensitive)

      Create a new string pattern.
      Parameters:
        `pattern` - Pattern.
        `caseSensitive` - Case sensitive.

  - ### Method Detail

    - #### isMatching

          public boolean isMatching(java.lang.String str)

      Tests, if the given string matches to this pattern.
      Parameters:
        `str` - String.
      Returns:
        true, if string matches.

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### isMatching

          protected boolean isMatching(java.lang.String wordPart,
                           java.lang.String patternPart)

© 2003-2011 by Sascha Schmidt (vision-cloud.de). All Rights Reserved.